      program rewritehss
C...................................................Jan 2020
C
      CHARACTER*47 infile,outfile,text
	infile='cathss48dst.txt'
	outfile='cathss48n.txt'
	OPEN(10,file=infile,action='READ')
	OPEN(11,file=outfile)
C
   30 FORMAT(A47)
   31 FORMAT(A47,1X,I4)
      nn=0
    1	nn=nn+1
      read(10,30,end=40) text
	write(*,31) text,nn
	write(11,31) text,nn
	goto 1
   40	close(unit=10)
      close(unit=11)
	pause ' '
	STOP
	end


